#pragma semicolon 1

#include <sourcemod>
#include <sdktools>
#include <vip_core>

#pragma newdecls required

public Plugin myinfo =
{
	name = "[VIP] ExoJumpBoots",
	author = "R1KO",
	version = "1.0"
};

static const char g_szFeature[] = "ExoJumpBoots";

public void OnPluginStart() 
{
	if(VIP_IsVIPLoaded())
	{
		VIP_OnVIPLoaded();
	}
}

public void OnPluginEnd() 
{
	if(CanTestFeatures() && GetFeatureStatus(FeatureType_Native, "VIP_UnregisterFeature") == FeatureStatus_Available)
	{
		VIP_UnregisterFeature(g_szFeature);
	}
}

public void VIP_OnVIPLoaded()
{
	VIP_RegisterFeature(g_szFeature, BOOL, _, OnToggleItem);
}

public void VIP_OnPlayerSpawn(int iClient, int iTeam, bool bIsVIP)
{
	if(bIsVIP && VIP_IsClientFeatureUse(iClient, g_szFeature))
	{
		SetBoots(iClient, true);
	}
}

public Action OnToggleItem(int iClient, const char[] sFeatureName, VIP_ToggleState OldStatus, VIP_ToggleState &NewStatus)
{
	if (IsPlayerAlive(iClient))
	{
		SetBoots(iClient, NewStatus == ENABLED);
	}

	return Plugin_Continue;
}

void SetBoots(int iClient, bool bStatus)
{
	SetEntProp(iClient, Prop_Send, "m_passiveItems", view_as<int>(bStatus), 1, 1);
}
